export declare type MessagingProps = {
    vapidKey?: string;
    forceSupport?: boolean;
    serviceWorkerFileName?: string;
    onMessage?: (payload: any) => any;
    onError?: (error: any) => any;
};
export declare type Return = {
    isSupported: () => boolean;
    init: () => void;
    fcmRegistrationToken: string;
    initializing: boolean;
    error: any;
    isReadyToUse: boolean;
};
export default function useFirebaseMessaging({ vapidKey, forceSupport: defaultForceSupport, serviceWorkerFileName: defaultServiceWorkerFileName, onMessage: defaultOnMessage, onError: defaultOnError, }: MessagingProps): Return;
